summary refs log tree commit diff
path: root/pkgs
diff options
context:
space:
mode:
authorGuillaume Girol <symphorien+git@xlumurb.eu>2021-01-04 12:00:00 +0000
committerGuillaume Girol <symphorien+git@xlumurb.eu>2021-01-05 20:26:24 +0100
commitf54f718871ed34cc8e6a71905349d34f00d6fd6d (patch)
tree7f8078e0b32eb5dedddc3563352ac399fe1a4fec /pkgs
parentb28e5f3c9a60ac2ae89390660671530221fbfd2a (diff)
downloadnixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.tar
nixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.tar.gz
nixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.tar.bz2
nixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.tar.lz
nixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.tar.xz
nixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.tar.zst
nixpkgs-f54f718871ed34cc8e6a71905349d34f00d6fd6d.zip
appimage-run: don't chdir to the appimage
this allows to pass relative paths to appimages as argument

fixes #108426
Diffstat (limited to 'pkgs')
-rwxr-xr-xpkgs/build-support/appimage/appimage-exec.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/pkgs/build-support/appimage/appimage-exec.sh b/pkgs/build-support/appimage/appimage-exec.sh
index 7986c589667..4ff6802e645 100755
--- a/pkgs/build-support/appimage/appimage-exec.sh
+++ b/pkgs/build-support/appimage/appimage-exec.sh
@@ -75,15 +75,15 @@ apprun() {
 
 wrap() {
 
-  cd "$APPDIR" || exit
   # quite same in appimageTools
   export APPIMAGE_SILENT_INSTALL=1
 
   if [ -n "$APPIMAGE_DEBUG_EXEC" ]; then
+    cd "$APPDIR" || true
     exec "$APPIMAGE_DEBUG_EXEC"
   fi
 
-  exec ./AppRun "$@"
+  exec "$APPDIR/AppRun" "$@"
 }
 
 usage() {